Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3711)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3712)
@@ -8024,25 +8079,25 @@
 !--          Please note, for vertical surfaces no ol is defined, since 
 !--          stratification is not considered in this case.
-             lambda_surface = surf_usm_v(l)%lambda_surf(m)
-             lambda_surface_window = surf_usm_v(l)%lambda_surf_window(m)
-             lambda_surface_green = surf_usm_v(l)%lambda_surf_green(m)
-
+              lambda_surface = surf_usm_v(l)%lambda_surf(m)
+              lambda_surface_window = surf_usm_v(l)%lambda_surf_window(m)
+              lambda_surface_green = surf_usm_v(l)%lambda_surf_green(m)
+ 
 !            pt1  = pt(k,j,i)
-           IF ( humidity )  THEN
-              qv1 = q(k,j,i)
-           ELSE
-              qv1 = 0.0_wp
-           ENDIF
+              IF ( humidity )  THEN
+                 qv1 = q(k,j,i)
+              ELSE
+                 qv1 = 0.0_wp
+              ENDIF
 !
 !--          calculate rho * c_p coefficient at wall layer
-             rho_cp  = c_p * hyp(k) / ( r_d * surf_usm_v(l)%pt1(m) * exner(k) )
-             
-            IF (surf_usm_v(l)%frac(1,m) > 0.0_wp )  THEN
+              rho_cp  = c_p * hyp(k) / ( r_d * surf_usm_v(l)%pt1(m) * exner(k) )
+              
+              IF (surf_usm_v(l)%frac(1,m) > 0.0_wp )  THEN
 !
 !--            Calculate frequently used parameters
-               rho_lv    = rho_cp / c_p * l_v
-               drho_l_lv = 1.0_wp / (rho_l * l_v)
-            ENDIF
-
+                 rho_lv    = rho_cp / c_p * l_v
+                 drho_l_lv = 1.0_wp / (rho_l * l_v)
+              ENDIF
+ 
 !--          Calculation of r_a for vertical surfaces
 !--
@@ -8063,5 +8118,4 @@
 !--                zH: height of the convective layer
 !--                wstar = (g/Tcan*Qs*zH)**(1./3.)
-                
 !--          Effective velocity components must always 
 !--          be defined at scalar grid point. The wall normal component is 
@@ -8070,180 +8124,162 @@
 !--          Parameter roughness_concrete (default value = 0.001) is used
 !--          to calculation of roughness relative to concrete
-             surf_usm_v(l)%r_a(m) = rho_cp / ( surf_usm_v(l)%z0(m) /           &
-                        roughness_concrete * ( 11.8_wp + 4.2_wp *              &
-                        SQRT( MAX( ( ( u(k,j,i) + u(k,j,i+1) ) * 0.5_wp )**2 + &
-                                   ( ( v(k,j,i) + v(k,j+1,i) ) * 0.5_wp )**2 + &
-                                   ( ( w(k,j,i) + w(k-1,j,i) ) * 0.5_wp )**2,  &
-                              0.01_wp ) )                                      &
-                           )  - 4.0_wp  ) 
+              surf_usm_v(l)%r_a(m) = rho_cp / ( surf_usm_v(l)%z0(m) /           &
+                         roughness_concrete * ( 11.8_wp + 4.2_wp *              &
+                         SQRT( MAX( ( ( u(k,j,i) + u(k,j,i+1) ) * 0.5_wp )**2 + &
+                                    ( ( v(k,j,i) + v(k,j+1,i) ) * 0.5_wp )**2 + &
+                                    ( ( w(k,j,i) + w(k-1,j,i) ) * 0.5_wp )**2,  &
+                               0.01_wp ) )                                      &
+                            )  - 4.0_wp  ) 
 !
 !--          Limit aerodynamic resistance
-             IF ( surf_usm_v(l)%r_a(m) < 1.0_wp )  surf_usm_v(l)%r_a(m) = 1.0_wp   
-             
-                           
-             f_shf         = rho_cp / surf_usm_v(l)%r_a(m)
-             f_shf_window  = rho_cp / surf_usm_v(l)%r_a(m)
-             f_shf_green   = rho_cp / surf_usm_v(l)%r_a(m)
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-if (surf_usm_v(l)%frac(1,m).gt.0.0_wp) then
-!--    Adapted from LSM:
-!--    Second step: calculate canopy resistance r_canopy
-!--    f1-f3 here are defined as 1/f1-f3 as in ECMWF documentation
+              IF ( surf_usm_v(l)%r_a(m) < 1.0_wp )  surf_usm_v(l)%r_a(m) = 1.0_wp   
+              
+                            
+              f_shf         = rho_cp / surf_usm_v(l)%r_a(m)
+              f_shf_window  = rho_cp / surf_usm_v(l)%r_a(m)
+              f_shf_green   = rho_cp / surf_usm_v(l)%r_a(m)
  
-!--    f1: correction for incoming shortwave radiation (stomata close at 
-!--    night)
-       f1 = MIN( 1.0_wp, ( 0.004_wp * surf_usm_v(l)%rad_sw_in(m) + 0.05_wp ) / &
-                        (0.81_wp * (0.004_wp * surf_usm_v(l)%rad_sw_in(m)      &
-                         + 1.0_wp)) )
-!
-!--    f2: correction for soil moisture availability to plants (the 
-!--    integrated soil moisture must thus be considered here)
-!--    f2 = 0 for very dry soils
-
-f2=1.0_wp
-!           m_total = 0.0_wp
-!           DO  k = nzb_wall, nzt_wall+1
-!               m_total = m_total + rootfr_h(nzb_wall,m)                              &
-!                         * MAX(swc_h(nzb_wall,m),wilt_h(nzb_wall,m))
-!           ENDDO 
-! 
-!           IF ( m_total > wilt_h(nzb_wall,m)  .AND.  m_total < fc_h(nzb_wall,m) )  THEN
-!              f2 = ( m_total - wilt_h(nzb_wall,m) ) / (fc_h(nzb_wall,m) - wilt_h(nzb_wall,m) )
-!           ELSEIF ( m_total >= fc_h(nzb_wall,m) )  THEN
-!              f2 = 1.0_wp
-!           ELSE
-!              f2 = 1.0E-20_wp
-!           ENDIF
-
-!
-!--    Calculate water vapour pressure at saturation 
-       e_s = 0.01_wp * 610.78_wp * EXP( 17.269_wp * (  t_surf_green_v_p(l)%t(m) &
-                     - 273.16_wp ) / (  t_surf_green_v_p(l)%t(m) - 35.86_wp ) )
-!
-!--    f3: correction for vapour pressure deficit
-       IF ( surf_usm_v(l)%g_d(m) /= 0.0_wp )  THEN
-!
-!--       Calculate vapour pressure
-          e  = qv1 * surface_pressure / ( qv1 + 0.622_wp )
-          f3 = EXP ( - surf_usm_v(l)%g_d(m) * (e_s - e) )
-       ELSE
-          f3 = 1.0_wp
-       ENDIF
-!
-!--    Calculate canopy resistance. In case that c_veg is 0 (bare soils),
-!--    this calculation is obsolete, as r_canopy is not used below.
-!--    To do: check for very dry soil -> r_canopy goes to infinity
-       surf_usm_v(l)%r_canopy(m) = surf_usm_v(l)%r_canopy_min(m) /                               &
-                              ( surf_usm_v(l)%lai(m) * f1 * f2 * f3 + 1.0E-20_wp )
-                              
-! !--    Calculate the maximum possible liquid water amount on plants and
-! !--    bare surface. For vegetated surfaces, a maximum depth of 0.2 mm is
-! !--    assumed, while paved surfaces might hold up 1 mm of water. The 
-! !--    liquid water fraction for paved surfaces is calculated after 
-! !--    Noilhan & Planton (1989), while the ECMWF formulation is used for
-! !--    vegetated surfaces and bare soils.
-! ! surf_usm_h%lai(m)=4.0_wp
-!        m_liq_max = m_max_depth * ( surf_usm_h%lai(m) )
-!        surf_usm_h%c_liq(m) = MIN( 1.0_wp, ( m_liq_usm_h%var_usm_1d(m) / m_liq_max )**0.67 )
-!
-!--    Calculate saturation specific humidity
-       q_s = 0.622_wp * e_s / ( surface_pressure - e_s )
-!
-!--    In case of dewfall, set evapotranspiration to zero
-!--    All super-saturated water is then removed from the air
-       IF ( humidity  .AND.  q_s <= qv1 )  THEN
-          surf_usm_v(l)%r_canopy(m) = 0.0_wp
-       ENDIF
-
-!
-!--    Calculate coefficients for the total evapotranspiration 
-!--    In case of water surface, set vegetation and soil fluxes to zero.
-!--    For pavements, only evaporation of liquid water is possible.
-       f_qsws_veg  = rho_lv *                                &
-                         ( 1.0_wp        - 0.0_wp ) / & !surf_usm_h%c_liq(m)    ) /   &
-                         ( surf_usm_v(l)%r_a(m) + surf_usm_v(l)%r_canopy(m) )
-!        f_qsws_liq  = rho_lv * surf_usm_h%c_liq(m)   /             &
-!                            surf_usm_h%r_a_green(m)
-
-       f_qsws = f_qsws_veg! + f_qsws_liq
-!
-!--    Calculate derivative of q_s for Taylor series expansion
-       e_s_dt = e_s * ( 17.269_wp / ( t_surf_green_v_p(l)%t(m) - 35.86_wp) -   &
-                        17.269_wp*( t_surf_green_v_p(l)%t(m) - 273.16_wp)      &
-                       / ( t_surf_green_v_p(l)%t(m) - 35.86_wp)**2 )
-
-       dq_s_dt = 0.622_wp * e_s_dt / ( surface_pressure - e_s_dt )
-endif
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-                
-!--          add LW up so that it can be removed in prognostic equation
-             surf_usm_v(l)%rad_net_l(m) = surf_usm_v(l)%rad_sw_in(m)  -        &
-                                          surf_usm_v(l)%rad_sw_out(m) +        &
-                                          surf_usm_v(l)%rad_lw_in(m)  -        &
-                                          surf_usm_v(l)%rad_lw_out(m)
-
+
+              IF ( surf_usm_v(l)%frac(1,m) > 0.0_wp ) THEN
+!
+!--             Adapted from LSM:
+!--             Second step: calculate canopy resistance r_canopy
+!--             f1-f3 here are defined as 1/f1-f3 as in ECMWF documentation
+!--             f1: correction for incoming shortwave radiation (stomata close at 
+!--             night)
+                 f1 = MIN( 1.0_wp, ( 0.004_wp * surf_usm_v(l)%rad_sw_in(m) + 0.05_wp ) / &
+                                  (0.81_wp * (0.004_wp * surf_usm_v(l)%rad_sw_in(m)      &
+                                   + 1.0_wp)) )
+!
+!--             f2: correction for soil moisture availability to plants (the 
+!--             integrated soil moisture must thus be considered here)
+!--             f2 = 0 for very dry soils
+ 
+                 f2=1.0_wp
+ 
+!
+!--              Calculate water vapour pressure at saturation 
+                 e_s = 0.01_wp * 610.78_wp * EXP( 17.269_wp * (  t_surf_green_v_p(l)%t(m) &
+                               - 273.16_wp ) / (  t_surf_green_v_p(l)%t(m) - 35.86_wp ) )
+!
+!--              f3: correction for vapour pressure deficit
+                 IF ( surf_usm_v(l)%g_d(m) /= 0.0_wp )  THEN
+!
+!--                 Calculate vapour pressure
+                    e  = qv1 * surface_pressure / ( qv1 + 0.622_wp )
+                    f3 = EXP ( - surf_usm_v(l)%g_d(m) * (e_s - e) )
+                 ELSE
+                    f3 = 1.0_wp
+                 ENDIF
+!
+!--              Calculate canopy resistance. In case that c_veg is 0 (bare soils),
+!--              this calculation is obsolete, as r_canopy is not used below.
+!--              To do: check for very dry soil -> r_canopy goes to infinity
+                 surf_usm_v(l)%r_canopy(m) = surf_usm_v(l)%r_canopy_min(m) /                  &
+                                        ( surf_usm_v(l)%lai(m) * f1 * f2 * f3 + 1.0E-20_wp )
+                               
+!
+!--              Calculate saturation specific humidity
+                 q_s = 0.622_wp * e_s / ( surface_pressure - e_s )
+!
+!--              In case of dewfall, set evapotranspiration to zero
+!--              All super-saturated water is then removed from the air
+                 IF ( humidity  .AND.  q_s <= qv1 )  THEN
+                    surf_usm_v(l)%r_canopy(m) = 0.0_wp
+                 ENDIF
+ 
+!
+!--              Calculate coefficients for the total evapotranspiration 
+!--              In case of water surface, set vegetation and soil fluxes to zero.
+!--              For pavements, only evaporation of liquid water is possible.
+                 f_qsws_veg  = rho_lv *                                &
+                                   ( 1.0_wp        - 0.0_wp ) / & !surf_usm_h%c_liq(m)    ) /   &
+                                   ( surf_usm_v(l)%r_a(m) + surf_usm_v(l)%r_canopy(m) )
+!                f_qsws_liq  = rho_lv * surf_usm_h%c_liq(m)   /             &
+!                              surf_usm_h%r_a_green(m)
+          
+                 f_qsws = f_qsws_veg! + f_qsws_liq
+!
+!--              Calculate derivative of q_s for Taylor series expansion
+                 e_s_dt = e_s * ( 17.269_wp / ( t_surf_green_v_p(l)%t(m) - 35.86_wp) -   &
+                                  17.269_wp*( t_surf_green_v_p(l)%t(m) - 273.16_wp)      &
+                                 / ( t_surf_green_v_p(l)%t(m) - 35.86_wp)**2 )
+          
+                 dq_s_dt = 0.622_wp * e_s_dt / ( surface_pressure - e_s_dt )
+              ENDIF
+
+!
+!--           add LW up so that it can be removed in prognostic equation
+              surf_usm_v(l)%rad_net_l(m) = surf_usm_v(l)%rad_sw_in(m)  -        &
+                                           surf_usm_v(l)%rad_sw_out(m) +        &
+                                           surf_usm_v(l)%rad_lw_in(m)  -        &
+                                           surf_usm_v(l)%rad_lw_out(m)
+!
 !--           numerator of the prognostic equation
-              coef_1 = surf_usm_v(l)%rad_net_l(m) +                            & ! coef +1 corresponds to -lwout included in calculation of radnet_l
-             ( 3.0_wp + 1.0_wp ) * surf_usm_v(l)%emissivity(ind_veg_wall,m) *  &
-                                     sigma_sb *  t_surf_wall_v(l)%t(m) ** 4 +       &  
-                                     f_shf * surf_usm_v(l)%pt1(m) +            &
-                                     lambda_surface * t_wall_v(l)%t(nzb_wall,m)
-if ((.NOT. spinup).AND.(surf_usm_v(l)%frac(ind_wat_win,m).GT.0.0_wp)) then
-              coef_window_1 = surf_usm_v(l)%rad_net_l(m) +                     & ! coef +1 corresponds to -lwout included in calculation of radnet_l
-               ( 3.0_wp + 1.0_wp ) * surf_usm_v(l)%emissivity(ind_wat_win,m) * &
-                                     sigma_sb * t_surf_window_v(l)%t(m) ** 4 + &  
-                                     f_shf * surf_usm_v(l)%pt1(m) +            &
-                                     lambda_surface_window * t_window_v(l)%t(nzb_wall,m)
-endif
-           IF ( (humidity).and.(surf_usm_v(l)%frac(ind_pav_green,m).gt.0.0_wp) )  THEN
-              coef_green_1 = surf_usm_v(l)%rad_net_l(m) +                      & ! coef +1 corresponds to -lwout included in calculation of radnet_l
-               ( 3.0_wp + 1.0_wp ) * surf_usm_v(l)%emissivity(ind_pav_green,m) * sigma_sb *  &
-                                     t_surf_green_v(l)%t(m) ** 4 +               &  
-                                     f_shf * surf_usm_v(l)%pt1(m) +     f_qsws * ( qv1 - q_s    &
-                                          + dq_s_dt * t_surf_green_v(l)%t(m) ) +            &
-                                     lambda_surface_green * t_wall_v(l)%t(nzb_wall,m)
-           ELSE
-              coef_green_1 = surf_usm_v(l)%rad_net_l(m) +                        & ! coef +1 corresponds to -lwout included in calculation of radnet_l
-               ( 3.0_wp + 1.0_wp ) * surf_usm_v(l)%emissivity(ind_pav_green,m) * sigma_sb *  &
-                                     t_surf_green_v(l)%t(m) ** 4 +               &  
-                                     f_shf * surf_usm_v(l)%pt1(m) +            &
-                                     lambda_surface_green * t_wall_v(l)%t(nzb_wall,m)
-           ENDIF
-                                     
-
+              coef_1 = surf_usm_v(l)%rad_net_l(m) +                             & ! coef +1 corresponds to -lwout
+                                                                                  ! included in calculation of radnet_l
+              ( 3.0_wp + 1.0_wp ) * surf_usm_v(l)%emissivity(ind_veg_wall,m) *  &
+                                      sigma_sb *  t_surf_wall_v(l)%t(m) ** 4 +  &  
+                                      f_shf * surf_usm_v(l)%pt1(m) +            &
+                                      lambda_surface * t_wall_v(l)%t(nzb_wall,m)
+              IF ( ( .NOT. spinup ) .AND. ( surf_usm_v(l)%frac(ind_wat_win,m) > 0.0_wp ) ) THEN
+                 coef_window_1 = surf_usm_v(l)%rad_net_l(m) +                   & ! coef +1 corresponds to -lwout
+                                                                                  ! included in calculation of radnet_l
+                ( 3.0_wp + 1.0_wp ) * surf_usm_v(l)%emissivity(ind_wat_win,m) * &
+                                      sigma_sb * t_surf_window_v(l)%t(m) ** 4 + &  
+                                      f_shf * surf_usm_v(l)%pt1(m) +            &
+                                      lambda_surface_window * t_window_v(l)%t(nzb_wall,m)
+              ENDIF
+              IF ( ( humidity ) .AND. ( surf_usm_v(l)%frac(ind_pav_green,m) > 0.0_wp ) )  THEN
+                 coef_green_1 = surf_usm_v(l)%rad_net_l(m) +                      & ! coef +1 corresponds to -lwout
+                                                                                    ! included in calculation of radnet_l
+                 ( 3.0_wp + 1.0_wp ) * surf_usm_v(l)%emissivity(ind_pav_green,m) * sigma_sb *  &
+                                      t_surf_green_v(l)%t(m) ** 4 +               &  
+                                      f_shf * surf_usm_v(l)%pt1(m) +     f_qsws * ( qv1 - q_s  &
+                                           + dq_s_dt * t_surf_green_v(l)%t(m) ) +              &
+                                      lambda_surface_green * t_wall_v(l)%t(nzb_wall,m)
+              ELSE
+                coef_green_1 = surf_usm_v(l)%rad_net_l(m) +                       & ! coef +1 corresponds to -lwout included
+                                                                                    ! in calculation of radnet_l
+                ( 3.0_wp + 1.0_wp ) * surf_usm_v(l)%emissivity(ind_pav_green,m) * sigma_sb *  &
+                                      t_surf_green_v(l)%t(m) ** 4 +               &  
+                                      f_shf * surf_usm_v(l)%pt1(m) +              &
+                                      lambda_surface_green * t_wall_v(l)%t(nzb_wall,m)
+              ENDIF
+                                      
+!
 !--           denominator of the prognostic equation
-              coef_2 = 4.0_wp * surf_usm_v(l)%emissivity(ind_veg_wall,m) * sigma_sb *           &
-                                t_surf_wall_v(l)%t(m) ** 3                           &
-                              + lambda_surface + f_shf / exner(k)  
-if ((.NOT. spinup).AND.(surf_usm_v(l)%frac(ind_wat_win,m).GT.0.0_wp)) then             
-              coef_window_2 = 4.0_wp * surf_usm_v(l)%emissivity(ind_wat_win,m) * sigma_sb *           &
-                                t_surf_window_v(l)%t(m) ** 3                         &
-                              + lambda_surface_window + f_shf / exner(k)
-endif
-           IF ( (humidity).and.(surf_usm_v(l)%frac(ind_pav_green,m).gt.0.0_wp) )  THEN
-               coef_green_2 = 4.0_wp * surf_usm_v(l)%emissivity(ind_pav_green,m) * sigma_sb *     &
-                                t_surf_green_v(l)%t(m) ** 3  + f_qsws * dq_s_dt      &
-                              + lambda_surface_green + f_shf / exner(k)
-           ELSE
-              coef_green_2 = 4.0_wp * surf_usm_v(l)%emissivity(ind_pav_green,m) * sigma_sb *     &
-                                t_surf_green_v(l)%t(m) ** 3                          &
-                              + lambda_surface_green + f_shf / exner(k)
-           ENDIF
-
+              coef_2 = 4.0_wp * surf_usm_v(l)%emissivity(ind_veg_wall,m) * sigma_sb *   &
+                                 t_surf_wall_v(l)%t(m) ** 3                             &
+                               + lambda_surface + f_shf / exner(k)  
+              IF ( ( .NOT. spinup ) .AND. ( surf_usm_v(l)%frac(ind_wat_win,m) > 0.0_wp ) ) THEN             
+                 coef_window_2 = 4.0_wp * surf_usm_v(l)%emissivity(ind_wat_win,m) * sigma_sb *       &
+                                   t_surf_window_v(l)%t(m) ** 3                         &
+                                 + lambda_surface_window + f_shf / exner(k)
+              ENDIF
+              IF ( ( humidity ) .AND. ( surf_usm_v(l)%frac(ind_pav_green,m) > 0.0_wp ) )  THEN
+                  coef_green_2 = 4.0_wp * surf_usm_v(l)%emissivity(ind_pav_green,m) * sigma_sb *     &
+                                   t_surf_green_v(l)%t(m) ** 3  + f_qsws * dq_s_dt      &
+                                 + lambda_surface_green + f_shf / exner(k)
+              ELSE
+                 coef_green_2 = 4.0_wp * surf_usm_v(l)%emissivity(ind_pav_green,m) * sigma_sb *      &
+                                   t_surf_green_v(l)%t(m) ** 3                          &
+                                 + lambda_surface_green + f_shf / exner(k)
+              ENDIF
+!
 !--           implicit solution when the surface layer has no heat capacity,
 !--           otherwise use RK3 scheme.
               t_surf_wall_v_p(l)%t(m) = ( coef_1 * dt_3d * tsc(2) +                 &
                              surf_usm_v(l)%c_surface(m) * t_surf_wall_v(l)%t(m) ) / & 
-                           ( surf_usm_v(l)%c_surface(m) + coef_2 * dt_3d * tsc(2) ) 
-if ((.NOT. spinup).AND.(surf_usm_v(l)%frac(ind_wat_win,m).GT.0.0_wp)) then
-              t_surf_window_v_p(l)%t(m) = ( coef_window_1 * dt_3d * tsc(2) +                 &
-                             surf_usm_v(l)%c_surface_window(m) * t_surf_window_v(l)%t(m) ) / & 
-                           ( surf_usm_v(l)%c_surface_window(m) + coef_window_2 * dt_3d * tsc(2) ) 
-endif
+                             ( surf_usm_v(l)%c_surface(m) + coef_2 * dt_3d * tsc(2) ) 
+              IF ( ( .NOT. spinup ) .AND. ( surf_usm_v(l)%frac(ind_wat_win,m) > 0.0_wp ) ) THEN
+                 t_surf_window_v_p(l)%t(m) = ( coef_window_1 * dt_3d * tsc(2) +                 &
+                                surf_usm_v(l)%c_surface_window(m) * t_surf_window_v(l)%t(m) ) / & 
+                              ( surf_usm_v(l)%c_surface_window(m) + coef_window_2 * dt_3d * tsc(2) ) 
+              ENDIF
               t_surf_green_v_p(l)%t(m) = ( coef_green_1 * dt_3d * tsc(2) +                 &
                              surf_usm_v(l)%c_surface_green(m) * t_surf_green_v(l)%t(m) ) / & 
                            ( surf_usm_v(l)%c_surface_green(m) + coef_green_2 * dt_3d * tsc(2) ) 
-
+!
 !--           add RK3 term
               t_surf_wall_v_p(l)%t(m) = t_surf_wall_v_p(l)%t(m) + dt_3d * tsc(3) *         &
@@ -8252,5 +8288,5 @@
                                 surf_usm_v(l)%tt_surface_window_m(m)
               t_surf_green_v_p(l)%t(m) = t_surf_green_v_p(l)%t(m) + dt_3d * tsc(3) *       &
-                                surf_usm_v(l)%tt_surface_green_m(m)
+                                 surf_usm_v(l)%tt_surface_green_m(m)
 !
 !--           Store surface temperature. Further, in case humidity is used
@@ -8258,13 +8294,13 @@
 !--           assumed to be the surface temperature.     
               surf_usm_v(l)%pt_surface(m) =  ( surf_usm_v(l)%frac(ind_veg_wall,m) * t_surf_wall_v_p(l)%t(m)  &
-                                      + surf_usm_v(l)%frac(ind_wat_win,m) * t_surf_window_v_p(l)%t(m)  &
-                                      + surf_usm_v(l)%frac(ind_pav_green,m) * t_surf_green_v_p(l)%t(m) ) &
+                                      + surf_usm_v(l)%frac(ind_wat_win,m) * t_surf_window_v_p(l)%t(m)        &
+                                      + surf_usm_v(l)%frac(ind_pav_green,m) * t_surf_green_v_p(l)%t(m) )     &
                                       / exner(k)
-                                      
+                                       
               IF ( humidity )  surf_usm_v(l)%vpt_surface(m) =                  &
-                                                    surf_usm_v(l)%pt_surface(m)
-
+                                                     surf_usm_v(l)%pt_surface(m)
+!
 !--           calculate true tendency
-              stend_wall = ( t_surf_wall_v_p(l)%t(m) - t_surf_wall_v(l)%t(m) - dt_3d * tsc(3) *&
+              stend_wall = ( t_surf_wall_v_p(l)%t(m) - t_surf_wall_v(l)%t(m) - dt_3d * tsc(3) *      &
                         surf_usm_v(l)%tt_surface_wall_m(m) ) / ( dt_3d  * tsc(2) )
               stend_window = ( t_surf_window_v_p(l)%t(m) - t_surf_window_v(l)%t(m) - dt_3d * tsc(3) *&
@@ -8273,4 +8309,5 @@
                         surf_usm_v(l)%tt_surface_green_m(m) ) / ( dt_3d  * tsc(2) )
 
+!
 !--           calculate t_surf_* tendencies for the next Runge-Kutta step
               IF ( timestep_scheme(1:5) == 'runge' )  THEN
@@ -8290,7 +8327,8 @@
               ENDIF
 
+!
 !--           in case of fast changes in the skin temperature, it is required to
 !--           update the radiative fluxes in order to keep the solution stable
-
+ 
               IF ( ( ( ABS( t_surf_wall_v_p(l)%t(m)   - t_surf_wall_v(l)%t(m) )   > 1.0_wp ) .OR. &
                    (   ABS( t_surf_green_v_p(l)%t(m)  - t_surf_green_v(l)%t(m) )  > 1.0_wp ) .OR. &
@@ -8300,4 +8338,5 @@
               ENDIF
 
+!
 !--           calculate fluxes
 !--           prognostic rad_net_l is used just for output!           
@@ -8305,6 +8344,6 @@
                                            ( surf_usm_v(l)%rad_net_l(m) +                            &
                                            3.0_wp * sigma_sb *                                       &
-                                           t_surf_wall_v(l)%t(m)**4 - 4.0_wp * sigma_sb *                 &
-                                           t_surf_wall_v(l)%t(m)**3 * t_surf_wall_v_p(l)%t(m) )                &
+                                           t_surf_wall_v(l)%t(m)**4 - 4.0_wp * sigma_sb *            &
+                                           t_surf_wall_v(l)%t(m)**3 * t_surf_wall_v_p(l)%t(m) )      &
                                          + surf_usm_v(l)%frac(ind_wat_win,m) *                       &
                                            ( surf_usm_v(l)%rad_net_l(m) +                            &
@@ -8320,9 +8359,10 @@
               surf_usm_v(l)%wghf_eb_window(m) = lambda_surface_window * &
                                                 ( t_surf_window_v_p(l)%t(m) - t_window_v(l)%t(nzb_wall,m) )
-              surf_usm_v(l)%wghf_eb(m)   = lambda_surface *                    &
-                                     ( t_surf_wall_v_p(l)%t(m) - t_wall_v(l)%t(nzb_wall,m) )
+              surf_usm_v(l)%wghf_eb(m)   = lambda_surface *             &
+                                                ( t_surf_wall_v_p(l)%t(m) - t_wall_v(l)%t(nzb_wall,m) )
               surf_usm_v(l)%wghf_eb_green(m)  = lambda_surface_green *  &
                                                 ( t_surf_green_v_p(l)%t(m) - t_green_v(l)%t(nzb_wall,m) )
 
+!
 !--           ground/wall/roof surface heat flux
               surf_usm_v(l)%wshf_eb(m)   =                                     &
